Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class SecurityGroup

    java.lang.Object
      com.amazonaws.services.ec2.model.SecurityGroup

    public class SecurityGroup

extends Object

An Amazon EC2 security group, describing how EC2 instances in this group can receive network traffic.

Constructor Summary
`SecurityGroup()`

Method Summary
`String` | `getDescription()` The description of this security group.
`String` | `getGroupName()` The name of this security group.
`List<IpPermission>` | `getIpPermissions()` The permissions enabled for this security group.
`String` | `getOwnerId()` The AWS Access Key ID of the owner of the security group.
`void` | `setDescription(String description)` The description of this security group.
`void` | `setGroupName(String groupName)` The name of this security group.
`void` | `setIpPermissions(Collection<IpPermission> ipPermissions)` The permissions enabled for this security group.
`void` | `setOwnerId(String ownerId)` The AWS Access Key ID of the owner of the security group.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`SecurityGroup` | `withDescription(String description)` The description of this security group.
`SecurityGroup` | `withGroupName(String groupName)` The name of this security group.
`SecurityGroup` | `withIpPermissions(Collection<IpPermission> ipPermissions)` The permissions enabled for this security group.
`SecurityGroup` | `withIpPermissions(IpPermission... ipPermissions)` The permissions enabled for this security group.
`SecurityGroup` | `withOwnerId(String ownerId)` The AWS Access Key ID of the owner of the security group.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityGroup

    public SecurityGroup()

Method Detail

### getOwnerId

    public String getOwnerId()

  The AWS Access Key ID of the owner of the security group.

  Returns:
    The AWS Access Key ID of the owner of the security group.

### setOwnerId

    public void setOwnerId(String ownerId)

  The AWS Access Key ID of the owner of the security group.

  Parameters:
    `ownerId` - The AWS Access Key ID of the owner of the security group.

### withOwnerId

    public SecurityGroup withOwnerId(String ownerId)

  The AWS Access Key ID of the owner of the security group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ownerId` - The AWS Access Key ID of the owner of the security group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getGroupName

    public String getGroupName()

  The name of this security group.

  Returns:
    The name of this security group.

### setGroupName

    public void setGroupName(String groupName)

  The name of this security group.

  Parameters:
    `groupName` - The name of this security group.

### withGroupName

    public SecurityGroup withGroupName(String groupName)

  The name of this security group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `groupName` - The name of this security group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDescription

    public String getDescription()

  The description of this security group.

  Returns:
    The description of this security group.

### setDescription

    public void setDescription(String description)

  The description of this security group.

  Parameters:
    `description` - The description of this security group.

### withDescription

    public SecurityGroup withDescription(String description)

  The description of this security group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `description` - The description of this security group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getIpPermissions

    public List<IpPermission> getIpPermissions()

  The permissions enabled for this security group.

  Returns:
    The permissions enabled for this security group.

### setIpPermissions

    public void setIpPermissions(Collection<IpPermission> ipPermissions)

  The permissions enabled for this security group.

  Parameters:
    `ipPermissions` - The permissions enabled for this security group.

### withIpPermissions

    public SecurityGroup withIpPermissions(IpPermission... ipPermissions)

  The permissions enabled for this security group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ipPermissions` - The permissions enabled for this security group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withIpPermissions

    public SecurityGroup withIpPermissions(Collection<IpPermission> ipPermissions)

  The permissions enabled for this security group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ipPermissions` - The permissions enabled for this security group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.